Magento upgrade 2.3.4 to 2.4.0


I have problem upgrading from 2.3.4 to 2.4.0 I have elasticsearch and php version that is required..

composer require magento/product-community-edition=2.4.0 --no-update

This is the error Im getting


  Problem 1
    - Installation request for magento/magento2ce 2.3.3 -> satisfiable by magento/magento2ce[2.3.3].
    - magento/product-community-edition 2.4.0 requires magento/magento2-base 2.4.0 -> satisfiable by magento/magento2-base[2.4.0].
    - don't install magento/magento2-base 2.4.0|remove magento/magento2ce 2.3.3
    - Installation request for magento/product-community-edition 2.4.0 -> satisfiable by magento/product-community-edition[2.4.0].

Please help me out!